routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', 'Frontend\PageController@landing')->name('landing');
Route::get('/about', 'Frontend\PageController@pageAbout')->name('page.about');
Route::post('/vehicle/detail', 'Frontend\PageController@showVehicle')->name('vehicle.detail');

Route::group(['middleware' => ['auth', 'role:member']], function () {
    Route::get('/booking/cart', 'Frontend\PageController@cart')->name('cart.index');
    Route::get('/booking/{company_id}/checkout', 'Frontend\PageController@checkout')->name('checkout');
    Route::get('/booking/{invoice}/confirm', 'Frontend\PageController@confirm')->name('confirm');
    Route::post('/booking/{invoice}/confirm', 'Frontend\PageController@confirmStore')->name('confirm.store');
    Route::post('/booking/{company_id}/checkout', 'Frontend\PageController@checkoutStore')->name('checkout.store');
    Route::post('/booking/cart', 'Frontend\PageController@addToCart')->name('cart.add');
    Route::post('/booking/cart/remove', 'Frontend\PageController@removeItemCart')->name('cart.remove');
    Route::post('/booking/cart/update', 'Frontend\PageController@updateCart')->name('cart.update');
    Route::post('/booking/cart/dateadd', 'Frontend\PageController@addDateCart')->name('cart.dateadd');
});

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

Route::get('/account/profile', 'ProfileController@show')->name('profile.show');
Route::put('/account/profile', 'ProfileController@update')->name('profile.update');
Route::put('/account/profile/member', 'ProfileController@updateMember')->name('profile.update.member');

Route::group(['prefix' => 'main', 'middleware' => ['auth', 'role:admin']], function () {
    Route::get('user', 'Backend\UserController@index' )->name('user.index');
    Route::post('user', 'Backend\UserController@store' )->name('user.store');
    Route::get('user/create', 'Backend\UserController@create' )->name('user.create');
    Route::get('user/{id}/edit', 'Backend\UserController@edit' )->name('user.edit');
    Route::put('user/{id}/update', 'Backend\UserController@update' )->name('user.update');
    Route::delete('user/{id}', 'Backend\UserController@destroy' )->name('user.destroy');

    Route::resource('booking','Backend\BookingController', ['only' => ['index', 'show', 'update']]);
    Route::resource('payment','Backend\PaymentController', ['only' => ['index', 'show', 'update']]);
    Route::resource('company','Backend\CompanyController', ['only' => ['index', 'show']]);
    Route::post('company.verification', 'Backend\CompanyController@verification')->name('company.verification');
    Route::resource('payouts', 'Backend\PayoutController', ['only' => ['index', 'show', 'update']]);
});

Route::group(['prefix' => 'intern', 'middleware' => ['auth', 'role:member']], function () {
    Route::resource('vehicle', 'Frontend\VehicleController');
    Route::resource('payout','Frontend\PayoutController', ['only' => ['index', 'show', 'create', 'store']]);
    Route::resource('transaction_in', 'Frontend\TransInController', ['only' => ['index', 'show', 'edit', 'update']]);
    Route::resource('transaction_out', 'Frontend\TransOutController', ['only' => ['index', 'show']]);
});

app/Http/Controllers/Backend/BookingController.php
<?php

namespace App\Http\Controllers\Backend;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Crypt;
use Illuminate\Support\Facades\File;
use Yajra\Datatables\Datatables;
use App\Booking;
use App\BookingDetail;
use Auth;
use Session;
use Carbon\Carbon;

class BookingController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        if ($request->ajax()) {

            $bookings = Booking::with('customer', 'customer.company');

            if ($request->get('status') != null) {
                if ($request->status != 'all') {
                    $bookings->whereStatus($request->status);
                }
            }

            $bookings = $bookings->select('bookings.*');

            return Datatables::of($bookings)
                ->addIndexColumn()
                ->addColumn('action', function ($booking) {
                    return view('partials._action', [
                        'model'           => $booking,
                        'show_url'        => route('booking.show', $booking->id)
                    ]);
                })
                ->escapeColumns([])
                ->make(true);
        }

        return view('backend.bookings.index');
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $booking = Booking::find($id);

        $end = Carbon::parse($booking->end_date);
        $start = Carbon::parse($booking->start_date);
        $diff_days = $end->diffInDays($start) + 1;

        return view('backend.bookings.show')->with(compact('booking', 'diff_days'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $booking = Booking::find($id);
        $booking->status = 300;
        $booking->save();

        Session::flash("flash_notification", [
            "level" => "success",
            "message" => "Penyewaan ini berhasil diselesaikan"
        ]);

        return redirect()->back();
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}

app/Http/Controllers/Backend/CompanyController.php
<?php

namespace App\Http\Controllers\Backend;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Crypt;
use Illuminate\Support\Facades\File;
use Yajra\Datatables\Datatables;
use App\User;
use App\Company;
use Session;

class CompanyController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        if ($request->ajax()) {

            $companies = Company::with('user');

            if ($request->get('verification') != null) {
                if ($request->verification != 'all') {
                    $companies->where('is_verification', $request->verification);
                }
            }

            $companies = $companies->select('companies.*');

            return Datatables::of($companies)
                ->addIndexColumn()
                ->addColumn('action', function ($company) {
                    return view('partials._action', [
                        'model'       => $company,
                        'show_url'    => route('company.show', $company->id)
                    ]);
                })
                ->escapeColumns([])
                ->make(true);
        }

        return view('backend.companies.index');
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $company = Company::find($id);
        $id_crypt = Crypt::encrypt($id);
        return view('backend.companies.show')->with(compact('company', 'id_crypt'));
    }

    public function verification(Request $request)
    {
        $id = Crypt::decrypt($request->tokenizer);

        $company = Company::find($id);
        $company->is_verification = 1;
        $company->save();

        Session::flash("flash_notification", [
            "level" => "success",
            "message" => "Perusahaan ini berhasil diverifikasi"
        ]);

        return redirect()->back();
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}

app/Http/Controllers/Backend/PaymentController.php
<?php

namespace App\Http\Controllers\Backend;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Crypt;
use Illuminate\Support\Facades\File;
use Yajra\Datatables\Datatables;
use App\Payment;
use App\Booking;
use App\BookingDetail;
use Auth;
use Session;
use Carbon\Carbon;

class PaymentController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        if ($request->ajax()) {

            $payments = Payment::with('booking');

            if ($request->get('verification') != null) {
                if ($request->verification != 'all') {
                    $payments->whereIsVerification($request->verification);
                }
            }

            $payments = $payments->select('payments.*');

            return Datatables::of($payments)
                ->addIndexColumn()
                ->addColumn('action', function ($payment) {
                    return view('partials._action', [
                        'model'           => $payment,
                        'show_url'        => route('payment.show', $payment->id)
                    ]);
                })
                ->escapeColumns([])
                ->make(true);
        }

        return view('backend.payments.index');
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $payment = Payment::find($id);
        $booking = Booking::find($id);

        $end = Carbon::parse($booking->end_date);
        $start = Carbon::parse($booking->start_date);
        $diff_days = $end->diffInDays($start) + 1;

        return view('backend.payments.show')->with(compact('payment', 'booking', 'diff_days'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $payment = Payment::find($id);
        $payment->is_verification = 1;
        $payment->save();

        $booking = Booking::find($payment->booking_id);
        $booking->is_paid = 1;
        $booking->status = 200;
        $booking->save();

        Session::flash("flash_notification", [
            "level" => "success",
            "message" => "Pembayaran ini berhasil diverifikasi"
        ]);

        return redirect()->back();
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}

app/Http/Controllers/Backend/PayoutController.php
<?php

namespace App\Http\Controllers\Backend;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Crypt;
use Illuminate\Support\Facades\File;
use Yajra\Datatables\Datatables;
use App\User;
use App\Company;
use App\Booking;
use App\Payout;
use Auth;
use Session;
use Carbon\Carbon;

class PayoutController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        if ($request->ajax()) {

            $payouts = Payout::with('company', 'admin');

            if ($request->get('status') != null) {
                if ($request->status != 'all') {
                    $payouts->whereStatus($request->status);
                }
            }

            $payouts = $payouts->select('payouts.*');

            return Datatables::of($payouts)
                ->addIndexColumn()
                ->addColumn('action', function ($payout) {
                    return view('partials._action', [
                        'model'           => $payout,
                        'show_url'        => route('payouts.show', $payout->id)
                    ]);
                })
                ->escapeColumns([])
                ->make(true);
        }

        return view('backend.payouts.index');
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $payout = Payout::find($id);

        return view('backend.payouts.show')->with(compact('payout'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        if ($request->status == 10) {
            $this->validate($request, [
                'reject_reason' => 'required|string'
            ]);
            $is_payout = 0;
        } else {
            $this->validate($request, [
                'image' => 'required|image'
            ]);
            $is_payout = 1;
        }

        $payout = Payout::find($id);
        $payout->admin_id = Auth::user()->id;
        $payout->status = $request->status;
        $payout->is_payout = $is_payout;

        if ($request->hasFile('image')) {
            // megnambil image yang diupload berikut ekstensinya
            $filename = null;
            $uploaded_image = $request->file('image');
            $extension = $uploaded_image->getClientOriginalExtension();
            // membuat nama file random dengan extension
            $filename = uniqid() . '.' . $extension;
            $destinationPath = public_path() . DIRECTORY_SEPARATOR . 'uploads' . DIRECTORY_SEPARATOR . 'images' . DIRECTORY_SEPARATOR . 'payouts';
            // memindahkan file ke folder public/images
            $uploaded_image->move($destinationPath, $filename);

            $payout->image = $filename;
        }

        if ($request->status == 10) {
            $payout->reject_reason = $request->reject_reason;
        }

        $payout->save();

        Session::flash("flash_notification", [
            "level" => "success",
            "message" => "Pencairan ini berhasil diproses"
        ]);

        return redirect()->route('payouts.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}

resources/views/backend/payouts/index.blade.php
@extends('layouts.main')

@section('content')
  <section class="section">
    <div class="section-header">
      <h1>Pencairan Saldo</h1>
    </div>

    <div class="d-sm-flex align-items-center justify-content-start mb-4">
      {{-- <a class="btn btn-sm btn-danger mr-auto" href="{{ route('payout.create') }}"><i class="fa fa-plus"></i> Request Pencairan Saldo</a>  --}}
      <div class="form-inline">
        <label>Filter Status</label>
        <select name="status" class="form-control-sm ml-2">
          <option value="all">Semua</option>
          <option value="100">Menunggu Pencairan</option>
          <option value="200">Telah Dicairkan</option>
          <option value="300">Selesai</option>
          <option value="10">Dibatalkan</option>
        </select>
        <button class="btn btn-sm btn-danger ml-2" id="btn-filter"><i class="fas fa-filter"></i></button>
      </div>
    </div>

    <div class="row">
      <div class="col-lg-12">

        <!-- Basic Card Example -->
        <div class="card card-danger">
          <div class="card-header py-3">
            <h6 class="m-0 font-weight-bold">List Permintaan Pencairan Saldo</h6>
          </div>
          <div class="card-body">

          <div class="table-responsive">
            <table class="table table-striped datatable">
              <thead>                                 
                <tr>
                  <th>#</th>
                  <th>Nama PO</th>
                  <th>Nominal Pencairan</th>
                  <th>Biaya Administrasi</th>
                  <th>Uang Dicairkan</th>
                  <th>Tgl. Pencairan</th>
                  <th>Status</th>
                  <th>Aksi</th>
                </tr>
              </thead>
              <tbody></tbody>
            </table>
          </div>

          </div>
        </div>
      </div>
    </div>
  </section>
@endsection
@section('script')
<script>
  $(document).ready(function() {
      $('.datatable').DataTable({
          processing: true,
          serverSide: true,
          autoWidth: false,
          language: {
              url: '{{ asset('assets/stisla/modules/datatables/lang/Indonesian.json') }}'
          },
          ajax: {
            url: '{{ route('payouts.index') }}',
            data: function (d) {
              d.status = $('select[name=status]').val()
            }
          },
          columns: [
            {data: 'DT_RowIndex', name: 'DT_RowIndex', orderable: false, searchable: false},
            {data: 'company.name', name: 'company.name'},
            {data: null, name: 'nominal', render: function ( data, type, row ) {
              return 'Rp ' + numberFormat(parseInt(data.nominal));
            }},
            {data: null, name: 'admin_fee', render: function ( data, type, row ) {
              return 'Rp ' + numberFormat(parseInt(data.admin_fee));
            }},
            {data: null, name: 'payout_total', render: function ( data, type, row ) {
              return 'Rp ' + numberFormat(parseInt(data.payout_total));
            }},
            {data: 'display_date', name: 'status', orderable: false, searchable: false},
            {data: 'display_status', name: 'status', orderable: false, searchable: false},
            {data: 'action', name: 'action', orderable: false, searchable: false},
          ]
      });

      $('#btn-filter').click(function(){
         $('.datatable').DataTable().draw(true);
      });

      $(document).on('click','.js-submit-confirm', function(e){
          e.preventDefault();
          swal({
            title: 'Apakah anda yakin ingin menghapus?',
            text: 'Data yang sudah dihapus, tidak dapat dikembalikan!',
            icon: 'warning',
            buttons: true,
            dangerMode: true,
          })
          .then((willDelete) => {
            if (willDelete) {
              $(this).closest('form').submit();
            } 
          });
      });
  });

  function numberFormat(x) {
    return x.toString().replace(/\B(?<!\.\d*)(?=(\d{3})+(?!\d))/g, ".");
  }

</script>
@endsection

resources/views/backend/payouts/show.blade.php
@extends('layouts.front')

@section('css')
  <link rel="stylesheet" href="{{ asset('assets/stisla/modules/summernote/summernote-bs4.css') }}">
@endsection

@section('content')
  <section class="section">
    <div class="section-header">
      <h1>Lihat Pencairan Saldo</h1>
    </div>

    <form id="frm-payout" method="POST" action="" enctype="multipart/form-data">
      <div class="row">
        <div class="col-lg-8">
          <div class="card card-danger">
            <div class="card-header py-3">
              <h6 class="m-0 font-weight-bold">Informasi Pecairan Saldo</h6>
            </div>
            <div class="card-body">

              <div class="row">
                <div class="form-group col-12 {{ $errors->has('nominal') ? ' has-error' : '' }}">
                  <label for="nominal">Nominal Pencairan</label>
                  <input id="nominal" type="text" class="form-control @if ($errors->has('nominal')) is-invalid @endif" name="nominal" value="Rp {{ rupiah($payout->nominal) }}" readonly>
                  @if ($errors->has('nominal'))
                    <div class="invalid-feedback">
                      {{ $errors->first('nominal') }}
                    </div>
                  @endif
                </div>
              </div>

              <div class="row">
                <div class="form-group col-12 {{ $errors->has('admin_fee') ? ' has-error' : '' }}">
                  <label for="admin_fee">Biaya Admin</label>
                  <input id="admin_fee" type="text" class="form-control @if ($errors->has('admin_fee')) is-invalid @endif" name="admin_fee" value="Rp {{ rupiah($payout->admin_fee) }}" readonly>
                  @if ($errors->has('admin_fee'))
                    <div class="invalid-feedback">
                      {{ $errors->first('admin_fee') }}
                    </div>
                  @endif
                </div>
              </div>

              <div class="row">
                <div class="form-group col-12 {{ $errors->has('payout_total') ? ' has-error' : '' }}">
                  <label for="payout_total">Uang Akan Dicairkan</label>
                  <input id="payout_total" type="text" class="form-control @if ($errors->has('payout_total')) is-invalid @endif" name="payout_total" value="Rp {{ rupiah($payout->payout_total) }}" readonly>
                  @if ($errors->has('payout_total'))
                    <div class="invalid-feedback">
                      {{ $errors->first('payout_total') }}
                    </div>
                  @endif
                </div>
              </div>

              <div class="row">
                <div class="form-group col-12">
                  <label for="payout_total">Nominal Terbilang</label>
                  <h3 class="terbilang">-</h3>
                </div>
              </div>

              <div class="row">
                <div class="form-group col-12">
                  <label for="display_status">Status</label>
                  <input id="display_status" type="text" class="form-control " value="{{ $payout->display_status }}" readonly>
                </div>
              </div>
              
            </div>
          </div>
        </div>

        <div class="col-lg-4">
          <div class="card card-danger">
            <div class="card-header py-3">
              <h6 class="m-0 font-weight-bold">Info Bank Pencairan</h6>
            </div>
            <div class="card-body">
              <div class="row">
                <div class="form-group col-12">
                  <label for="bank_name">Nama Bank</label>
                  <input id="bank_name" type="text" class="form-control " value="{{ $payout->company->bank_name }}" readonly>
                </div>
              </div>
              <div class="row">
                <div class="form-group col-12">
                  <label for="bank_number">Nomor Rekening</label>
                  <input id="bank_number" type="text" class="form-control " value="{{ $payout->company->bank_number }}" readonly>
                </div>
              </div>
              <div class="row">
                <div class="form-group col-12">
                  <label for="bank_account">Bank Atas Nama</label>
                  <input id="bank_account" type="text" class="form-control " value="{{ $payout->company->bank_account }}" readonly>
                </div>
              </div>
            </div>
          </div>

          @if ($payout->status == 100)    
            <div class="card card-danger">
              <div class="card-header py-3">
                <h6 class="m-0 font-weight-bold">Form Aksi</h6>
              </div>
              <div class="card-body">
                <form action="{{ route('payouts.update', $payout->id) }}" method="POST">
                  @csrf
                  @method('PATCH')

                  <div class="form-group {{ $errors->has('status') ? ' has-error' : '' }}">
                    <label for="status" class="d-block">Setujui Pencairan Saldo</label>
                    <select name="status" class="form-control select2" id="status" onchange="checkAction()">
                      <option value="200" {{ old('status') == 200 ? 'selected' : '' }}>Ya</option>
                      <option value="10" {{ old('status') == 10 ? 'selected' : '' }}>Tidak</option>
                    </select>
                    @if ($errors->has('status'))
                      <div class="invalid-feedback">
                        <strong>{{ $errors->first('status') }}</strong>
                      </div>
                    @endif
                  </div>

                  <div class="form-group custom-file mb-3 up-bukti {{ $errors->has('image') ? ' has-error' : '' }}">
                    <input id="image" type="file" class="custom-file-input @if ($errors->has('image')) is-invalid @endif" name="image">
                    <label class="custom-file-label" for="customFile">Upload Bukti Transfer</label>
                    @if ($errors->has('image'))
                      <div class="invalid-feedback">
                        <strong>{{ $errors->first('image') }}</strong>
                      </div>
                    @endif
                  </div>

                  <div class="form-group {{ $errors->has('reject_reason') ? ' has-error' : '' }}" id="reject-section" style="display: none;">
                    <label for="reject_reason" class="d-block">Alasan menolak</label>
                    <textarea name="reject_reason" class="form-control @if ($errors->has('reject_reason')) is-invalid @endif"  cols="30" rows="10">{{ old('reject_reason') }}</textarea>
                    @if ($errors->has('reject_reason'))
                      <div class="invalid-feedback">
                        <strong>{{ $errors->first('reject_reason') }}</strong>
                      </div>
                    @endif
                  </div>

                  <button class="btn btn-danger btn-block">Proses</button>
                </form>
              </div>
            </div>
          @endif


        </div>
      </div>
    </form>
  </section>
@endsection

@section('script')
  <script src="{{ asset('js/terbilang.js') }}"></script>
  <script>
    $(document).ready(function () {
      bsCustomFileInput.init()
      $('.select2').select2();
      showTerbilang();
    });

    function numberFormat(x) {
      return x.toString().replace(/\B(?<!\.\d*)(?=(\d{3})+(?!\d))/g, ".");
    }

    function showTerbilang() {
      let val = {{ $payout->nominal }};
      let result = terbilang(val);
      $('.terbilang').html(result);
    }

    function checkAction(){
      var status = $('#status').val();

      if (status == 10) {
        $('.up-bukti').hide();
        $('#reject-section').show();
      } else {
        $('.up-bukti').show();
        $('#reject-section').hide();
      }

    }
  </script>
@endsection